GET /repos/{owner}/{repo}/issues

github.com:github-rest-api

Summary: List repository issues
Operation ID: issues/list-for-repo
Auth: bearer_token
Description

List issues in a repository. Only open issues will...

Parameters (14)

assignee (string, query, optional)

Can be the name of a user. Pass in `none` for issu...

creator (string, query, optional)

The user that created the issue.

direction (string, query, optional, default: desc)

The direction to sort the results by.

Constraints: {'enum': ['asc', 'desc']}

labels (string, query, optional)

A list of comma separated label names. Example: `b...

mentioned (string, query, optional)

A user that's mentioned in the issue.

milestone (string, query, optional)

If an `integer` is passed, it should refer to a mi...

owner (string, path, required)

The account owner of the repository. The name is n...

page (integer, query, optional, default: 1)

The page number of the results to fetch. For more ...

per_page (integer, query, optional, default: 30)

The number of results per page (max 100). For more...

repo (string, path, required)

The name of the repository without the `.git` exte...

since (string, query, optional)

Only show results that were last updated after the...

sort (string, query, optional, default: created)

What to sort results by.

Constraints: {'enum': ['created', 'updated', 'comments']}

state (string, query, optional, default: open)

Indicates the state of the issues to return.

Constraints: {'enum': ['open', 'closed', 'all']}

type (string, query, optional)

Can be the name of an issue type. If the string `*...

Examples (3)

TitleTypeURLAction
List open issues for facebook/react repository curl https://api.github.com/repos/facebook/react/issues?state=open
List bug-labeled issues with pagination curl https://api.github.com/repos/microsoft/vscode/issues?labels=bug&state=open&per_page=10&page=1
List closed issues sorted by updated date curl https://api.github.com/repos/torvalds/linux/issues?state=closed&sort=updated&direction=desc

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:26:47.412802 200 446ms
2026-03-23 09:44:12.868568 200 239ms
2026-03-23 09:31:49.652726 200 548ms

Response Changes

WhenOldNew
2026-03-23 09:44:12.868568 a4c08802a1ad 4f53cda18c2b
2026-03-23 10:26:47.412802 4f53cda18c2b e0d4f644e0f7